// vim: set tw=80 ts=2 sw=2 sts=2:
import { Component, Input } from '@angular/core';

import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { Account } from './account';

@Component({
  selector: 'account-delete-modal',
  template: `
    <div class="modal-header">
      <h3 class="modal-title" id="modal-title">{{ title() }}</h3>
    </div>

    <div class="modal-body" id="modal-body">
      <p>
      Do you really want to delete account #{{ account.id }} with name:<br/>
      {{ account.name }}
      </p>
    </div>

    <div class="modal-footer">
      <button class="btn btn-danger" (click)="submit()">
        Yes
      </button>

      <button class="btn btn-default" (click)="cancel()">
        No
      </button>
    </div>
  `
})
export class AccountDeleteModalComponent {
  @Input() account: Account

  constructor(public activeModal: NgbActiveModal) {}

  title(): string {
    if(this.account.id) {
      return "Account #" + this.account.id;
    } else {
      return "New account";
    }
  }

  submit(): void {
    this.activeModal.close(this.account);
  }

  cancel(): void {
    this.activeModal.dismiss("closed");
  }
}
